GNU bug report logs - #52784
[PATCH 0/5] Update XMonad (and add new dependencies)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: John Kehayias <john.kehayias@HIDDEN>; Keywords: patch; dated Fri, 24 Dec 2021 19:23:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 28 Dec 2021 19:15:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 14:15:20 2021
Received: from localhost ([127.0.0.1]:47426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2HwO-0008RZ-KH
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 14:15:20 -0500
Received: from mail-40134.protonmail.ch ([185.70.40.134]:36392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n2HwM-0008RL-MQ
 for 52784 <at> debbugs.gnu.org; Tue, 28 Dec 2021 14:15:19 -0500
Date: Tue, 28 Dec 2021 19:15:11 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640718912;
 bh=j6hSswuIuLqYr9ROyVKjX1U4YTRa8rWndsYl/qnIlJA=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:From:To:Cc;
 b=OIVFBHqaf8FmTZQruPK6Sw/5QfL9kuSMPpsMqQBj0E3c51OJm9w4rbGS5xQXIrLdp
 SMoBSXIxTGfmga4ey48gpSlK0o5qtPHEIg0WG+QwAngfiyTMQPCyS2i/+oNWvS7an+
 ajchPEm37N0B+YaJpCo7vvnQR3VYNyZ8fmOTzVlu7PS3OdX0iFRUAQ8gD8r10CslTs
 GUGF9j/IWZ7RBDz84JOR3RZz2dC5h6ahnsyxbFUUrskA1ATIJM6FmaCkahqbqZDKHt
 yqTn8G4ZzN3eUOWOPYNF3s41WIKEkR2j+YEdpNpc833FDU3qNTWOcF//MgdlDsjgTb
 waa07N0qAsnlw==
To: Lars-Dominik Braun <lars@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#52784] [PATCH 0/5] Update XMonad (and add new dependencies)
Message-ID: <nIjrGutqpVhj6vnSpYwjr978ZOodxFw1mY7fMyGpxRo6yb7XGfu6tHPE27hqOF4AIxSDwGobd5ZpegqIVEPzlvxpOdSsIvtp-KDJeAlbpTI=@protonmail.com>
In-Reply-To: <Ycrl4T40hbpOuqc6@HIDDEN>
References: <Za9d3f8yx-cBVXBqMap5HWIudwcVR6SvNkO_m2pQ5pPNM9UE4C4pqLBuUJpUOG8AoCVwVztLo84Rtt-kXRU5dq8qYZ4P8g5Uj1K1_C3AwJU=@protonmail.com>
 <Ycrl4T40hbpOuqc6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
Cc: 52784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

Thanks for taking a look and testing.

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90

On Tuesday, December 28th, 2021 at 5:24 AM, Lars-Dominik Braun wrote:

> Hi John,
>
> thanks for your patches. I also upgraded xmonad locally (see
> attached patch), but I didn=E2=80=99t need the version bumps/new packages
> (i.e. xmonad=E2=80=99s test suite builds and runs fine). Are they really
> necessary?
>

I can confirm your patch also builds and checks fine (though didn't look at=
 the log in much detail).

Taking a quick look at the new dependency, it is for some testing but seems=
 optional: https://github.com/xmonad/xmonad/commit/031bbd62306e592ddd0768d4=
e5b1105bf5e81032 So maybe that's why it builds/checks fine. Since we can ea=
sily add the needed packages, I would err on including it, what do you thin=
k?

I removed/added dependencies based on a fresh guix import and looking at th=
e Hackage info for xmonad. I think some of the dependencies that were remov=
ed were due to older versions (or to support older GHC?) or I guess librari=
es that aren't needed anymore.

> > Note that this new version has breaking configuration changes, detailed=
 in their announcement: https://xmonad.org/news/2021/10/27/xmonad-0-17-0.ht=
ml Is that worth a news entry for guix pull? It has been a long time since =
xmonad released a new version, for those that stay on the stable release.
>
> I was also hesitant to push the new version for this reason. Additionally
> xmonad is part of Stackage, which we use where possible. How about adding
> a xmonad-next package instead and make the switch when Stackage includes
> the new version?
>

We do tend to follow LTS Stackage, but I wasn't sure how something like XMo=
nad fits since I imagine most people that use it aren't using Haskell other=
wise. Also, since it has been a few years since they had a release, I thoug=
ht it would be nice to have it.

Anyway, an xmonad-next could make the transition easier for anyone using th=
e previous stable release. I've been using cabal but with an update in Guix=
 would look to make my setup more Guix-y.

To summarize, I would opt for the changes in dependencies to follow upstrea=
m, and making a separate xmonad-next avoids further disruption anyway. Pers=
onally, I also wanted to submit those new packages as part of a whole lot o=
f Haskell packages I will be submitting to get haskell-gi and taffybar in G=
uix.

Thanks,
John




Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 28 Dec 2021 10:24:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 05:24:49 2021
Received: from localhost ([127.0.0.1]:45163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n29ey-0006We-LX
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 05:24:49 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:32704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lars@HIDDEN>) id 1n29eu-0006WJ-Th
 for 52784 <at> debbugs.gnu.org; Tue, 28 Dec 2021 05:24:47 -0500
Received: from smtp102.mailbox.org (smtp102.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:3:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4JNVyZ4jv4zQkcj;
 Tue, 28 Dec 2021 11:24:38 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=6xq.net; s=MBO0001;
 t=1640687076;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HG7CKjv1EH2DQBu7fMf5n+wP3xAiHML7kUt+2N8qMz8=;
 b=pKXo9N32RXrYxngB5IyxkRAvq2gQS5ANbqubKVN6VmoBRKSaoFuHMaK3rt2ukW2Mfwn1uG
 hd/moutVUlVOuxp2+mpvuJxYsC7ziOl1H2Hht5m8HTcbXtnMBKmcWaNqjaAwZLh/DCaGvB
 miHkqVl13fjhkmfJ2B9d9pk0YsqDdjj4Ea+EcFdTTCVFpErnx0GlaY8rYBkSO4A3YWhErg
 rfUFvoOAwLM4pny4YT7l8yvIYdcoIIAwYynWpkej1N4aMPjcA3aksRTVCtAdl/tcqC+qff
 WNGB+I+l7mqX5Pd30eyB00+hKOn2xOFxYkmw1/lC/VkGXOz0nSdObUfRSVMF3w==
Date: Tue, 28 Dec 2021 11:24:33 +0100
From: Lars-Dominik Braun <lars@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>
Subject: Re: [bug#52784] [PATCH 0/5] Update XMonad (and add new dependencies)
Message-ID: <Ycrl4T40hbpOuqc6@HIDDEN>
References: <Za9d3f8yx-cBVXBqMap5HWIudwcVR6SvNkO_m2pQ5pPNM9UE4C4pqLBuUJpUOG8AoCVwVztLo84Rtt-kXRU5dq8qYZ4P8g5Uj1K1_C3AwJU=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="xXE0QUnf7BTFsjwN"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <Za9d3f8yx-cBVXBqMap5HWIudwcVR6SvNkO_m2pQ5pPNM9UE4C4pqLBuUJpUOG8AoCVwVztLo84Rtt-kXRU5dq8qYZ4P8g5Uj1K1_C3AwJU=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52784
Cc: 52784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--xXE0QUnf7BTFsjwN
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

Hi John,

thanks for your patches. I also upgraded xmonad locally (see
attached patch), but I didn’t need the version bumps/new packages
(i.e. xmonad’s test suite builds and runs fine). Are they really
necessary?

> Note that this new version has breaking configuration changes, detailed in their announcement: https://xmonad.org/news/2021/10/27/xmonad-0-17-0.html  Is that worth a news entry for guix pull? It has been a long time since xmonad released a new version, for those that stay on the stable release.
I was also hesitant to push the new version for this reason. Additionally
xmonad is part of Stackage, which we use where possible. How about adding
a xmonad-next package instead and make the switch when Stackage includes
the new version?

Cheers,
Lars


--xXE0QUnf7BTFsjwN
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="xmonad-0.17-dirty.patch"

commit 0b099048a1f4c8aaf9a7830e089ff2e085a7ca92
Author: Lars-Dominik Braun <lars@HIDDEN>
Date:   Thu Nov 18 09:30:48 2021 +0100

    dirty: xmonad upgrade

diff --git a/gnu/packages/patches/xmonad-dynamic-linking.patch b/gnu/packages/patches/xmonad-dynamic-linking.patch
index 4f3386e53a..0aa91954ee 100644
--- a/gnu/packages/patches/xmonad-dynamic-linking.patch
+++ b/gnu/packages/patches/xmonad-dynamic-linking.patch
@@ -2,15 +2,15 @@ This patch is required for xmonad to make use of shared libraries.
 Without it, xmonad will not work since we do not (by default) use
 statically linked Haskell libraries.
 
-diff -ruN xmonad-0.15-a/src/XMonad/Core.hs xmonad-0.15-b/src/XMonad/Core.hs
---- xmonad-0.15-a/src/XMonad/Core.hs	1969-12-31 19:00:00.000000000 -0500
-+++ xmonad-0.15-b/src/XMonad/Core.hs	1969-12-31 19:00:00.000000000 -0500
-@@ -681,6 +681,8 @@
-        compileGHC bin dir errHandle =
-          runProcess "ghc" ["--make"
-                           , "xmonad.hs"
-+                          , "-dynamic"
-+                          , "-fPIC"
-                           , "-i"
-                           , "-ilib"
-                           , "-fforce-recomp"
+diff -Naur xmonad-0.17.0.orig/src/XMonad/Core.hs xmonad-0.17.0/src/XMonad/Core.hs
+--- xmonad-0.17.0.orig/src/XMonad/Core.hs	2001-09-09 03:46:40.000000000 +0200
++++ xmonad-0.17.0/src/XMonad/Core.hs	2021-11-13 10:40:17.840524866 +0100
+@@ -664,6 +664,8 @@
+   where
+     ghcArgs = [ "--make"
+               , "xmonad.hs"
++              , "-dynamic"
++              , "-fPIC"
+               , "-i" -- only look in @lib@
+               , "-ilib"
+               , "-fforce-recomp"
diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index c6881154fe..d661307c4f 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -739,7 +739,7 @@ (define-public i3lock-fancy
 (define-public xmonad
   (package
     (name "xmonad")
-    (version "0.15")
+    (version "0.17.0")
     (synopsis "Tiling window manager")
     (source (origin
               (method url-fetch)
@@ -747,7 +747,7 @@ (define-public xmonad
                                   "xmonad-" version ".tar.gz"))
               (sha256
                (base32
-                "0a7rh21k9y6g8fwkggxdxjns2grvvsd5hi2ls4klmqz5xvk4hyaa"))
+                "04qspdz9w6xpw1npcmx2zx0595wc68q985pv4i0hvp32zillvdqy"))
               (patches (search-patches "xmonad-dynamic-linking.patch"))))
     (build-system haskell-build-system)
     (inputs
@@ -759,9 +759,7 @@ (define-public xmonad
            ghc-utf8-string
            ghc-x11))
     (arguments
-     `(#:cabal-revision
-       ("1" "0yqh96qqphllr0zyz5j93cij5w2qvf39xxnrb52pz0qz3pywz9wd")
-       #:phases
+     `(#:phases
        (modify-phases %standard-phases
          (add-after
           'install 'install-xsession
@@ -865,18 +863,15 @@ (define-public yeganesh
 (define-public ghc-xmonad-contrib
   (package
     (name "ghc-xmonad-contrib")
-    (version "0.16")
+    (version "0.17.0")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://hackage/package/xmonad-contrib/"
                            "xmonad-contrib-" version ".tar.gz"))
        (sha256
-        (base32 "1pddgkvnbww28wykncc7j0yb0lv15bk7xnnhdcbrwkxzw66w6wmd"))))
+        (base32 "11g1cyfgfvcmz35qhgi9wzxrk3br8m8b7qy3jvph4nnf6aj13wvy"))))
     (build-system haskell-build-system)
-    (arguments
-     `(#:cabal-revision
-       ("1" "0vimkby2gq6sgzxzbvz67caba609xqlv2ii2gi8a1cjrnn6ib011")))
     (propagated-inputs
      (list ghc-old-time
            ghc-random
@@ -886,6 +881,8 @@ (define-public ghc-xmonad-contrib
            ghc-x11
            ghc-x11-xft
            xmonad))
+    (native-inputs
+     (list ghc-quickcheck ghc-hspec hspec-discover))
     (home-page "https://xmonad.org")
     (synopsis "Third party extensions for xmonad")
     (description

--xXE0QUnf7BTFsjwN--




Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 24 Dec 2021 19:30:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:30:14 2021
Received: from localhost ([127.0.0.1]:38096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0qGc-0007au-EI
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:30:14 -0500
Received: from mail-4316.protonmail.ch ([185.70.43.16]:34839)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0qGa-0007ZZ-W8
 for 52784 <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:30:13 -0500
Date: Fri, 24 Dec 2021 19:30:04 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640374206;
 bh=Rpz9/oK7t8Up4OvQY8RteFxmkUo3W8HEjp0RFJRi/Y4=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=M1RbuBcqv0TvbPLg1l97LqiWyZzUGogkSNpfa0p7zvOlt4IX5YxHdk+inM70o7V1m
 lmkiK+EBqX1HptMjTmQN8L4SJf2LwAiNIHiMz8Ji0mALC0g0LLefJ5XL7ASI6R3Wxz
 DZs0rGFIb7uTExwC8OxEWKNMr5BxhJeYi9+MZqdkBqxVPZKaNnJfeiEraaBt0aXj2D
 5HqXFY/9swa0ET5VkxpjoymVkGxr2/StVKWxXL6H5Ix2mN1Eyqtu9rcjZuLnmXUtPn
 E+qtoH5qG28huMXnP6bwRHxH/suRC9ikUcUuOCdS9Z1aCWfV50ot4GvvbMiONALT4l
 ZTmtUZqiZ7f0w==
To: "52784 <at> debbugs.gnu.org" <52784 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 5/5] Update XMonad (and add new dependencies)
Message-ID: <bDLFFzkEGpdFZjqR3Jtt-BMCYgx0gH0MBVo68Sow21xFaJYGKD83U7sVDdsEcH5s_7VeHrc8avMVRMUhmufq8v7vp088VfUsJp8qGmuBynQ=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_Tk9Mm80uK0SxFqrFY1aZneteKBy3meKH73aIz2VPUHQ"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_Tk9Mm80uK0SxFqrFY1aZneteKBy3meKH73aIz2VPUHQ
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_Tk9Mm80uK0SxFqrFY1aZneteKBy3meKH73aIz2VPUHQ
Content-Type: text/x-patch; name=0005-gnu-xmobar-Update-to-0.40.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0005-gnu-xmobar-Update-to-0.40.patch

RnJvbSBlZDEyNzc5ZjdkOTM2NGU4NDczNDk1NTA0MjIwZTkxNjA3ZTQ3NzU3IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKb2huIEtlaGF5aWFzIDxqb2huLmtlaGF5aWFzQHByb3Rvbm1h
aWwuY29tPgpEYXRlOiBGcmksIDI0IERlYyAyMDIxIDE0OjExOjI5IC0wNTAwClN1YmplY3Q6IFtQ
QVRDSCA1LzVdIGdudTogeG1vYmFyOiBVcGRhdGUgdG8gMC40MC4KCiogZ251L3BhY2thZ2VzL3dt
LnNjbSAoeG1vYmFyKTogVXBkYXRlIHRvIDAuNDAuCi0tLQogZ251L3BhY2thZ2VzL3dtLnNjbSB8
IDQgKystLQogMSBmaWxlIGNoYW5nZWQsIDIgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlvbnMoLSkK
CmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvd20uc2NtIGIvZ251L3BhY2thZ2VzL3dtLnNjbQpp
bmRleCAyYWE3MzA5MDI3Li40Zjc5YjVmMzgzIDEwMDY0NAotLS0gYS9nbnUvcGFja2FnZXMvd20u
c2NtCisrKyBiL2dudS9wYWNrYWdlcy93bS5zY20KQEAgLTc4NSwxNCArNzg1LDE0IEBAIChkZWZp
bmUtcHVibGljIHhtb25hZAogKGRlZmluZS1wdWJsaWMgeG1vYmFyCiAgIChwYWNrYWdlCiAgICAg
KG5hbWUgInhtb2JhciIpCi0gICAgKHZlcnNpb24gIjAuMzkiKQorICAgICh2ZXJzaW9uICIwLjQw
IikKICAgICAoc291cmNlIChvcmlnaW4KICAgICAgICAgICAgICAgKG1ldGhvZCB1cmwtZmV0Y2gp
CiAgICAgICAgICAgICAgICh1cmkgKHN0cmluZy1hcHBlbmQgImh0dHBzOi8vaGFja2FnZS5oYXNr
ZWxsLm9yZy9wYWNrYWdlL3htb2Jhci8iCiAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgInhtb2Jhci0iIHZlcnNpb24gIi50YXIuZ3oiKSkKICAgICAgICAgICAgICAgKHNoYTI1Ngog
ICAgICAgICAgICAgICAgKGJhc2UzMgotICAgICAgICAgICAgICAgICIxazFuM2ZmMGlrZG1mcTBt
aThyMnZwcWcxaXE2aHN3MWRydnhwczZrOThydnZuODdwd3M2IikpKSkKKyAgICAgICAgICAgICAg
ICAiMW1yZGlibG04dmlsa20xdzIzcHo2eGJpMTZ6aDFiMWx2cWwyNmN6anp3NWs3OXZkNjdzZiIp
KSkpCiAgICAgKGJ1aWxkLXN5c3RlbSBoYXNrZWxsLWJ1aWxkLXN5c3RlbSkKICAgICAobmF0aXZl
LWlucHV0cwogICAgICAobGlzdCBnaGMtaHNwZWMgaHNwZWMtZGlzY292ZXIpKQotLSAKMi4zNC4x
Cgo=

--b1_Tk9Mm80uK0SxFqrFY1aZneteKBy3meKH73aIz2VPUHQ--





Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 24 Dec 2021 19:29:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:29:58 2021
Received: from localhost ([127.0.0.1]:38088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0qGM-0007Xu-0G
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:58 -0500
Received: from mail-40133.protonmail.ch ([185.70.40.133]:27965)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0qGJ-0007Xf-8x
 for 52784 <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:56 -0500
Date: Fri, 24 Dec 2021 19:29:44 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640374184;
 bh=6JQR6g/8Kf729xVzhuEzA5d803H228xXiFGT4jLqTAU=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=ujRssqy483VTgo3i4SRDYNRtx96T0EbNvSVb24M2FNxQg4Z2PO3K79xICBchee3n9
 kAfdimXxW0S0rUaOc37Im2PNI49eAQHg+PWxV7ADC7tfIzXZX+2rcPwzHB6idz2F7K
 ajnbFlVeCA0UJElLwhWcN4tdG/PmDeV0+bZd3fOGY1/0y0q51fPu/k5myPY/cCCZsi
 ejIigve+0V7StRLMXt26fS5kbtPdgCyvg7SqhELVnvHpq4igF7juJscgjMZG88jIQA
 yI/tNpmEHoAmTbwQZOwtRbkLfwOfdOrHqkNMt+UweMz7/q3n9cU4UdeGNovXjWneOb
 REc/fKTBiSIWw==
To: "52784 <at> debbugs.gnu.org" <52784 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 4/5] Update XMonad (and add new dependencies)
Message-ID: <o8sa3Dy9BpHvdiUNX2bS3mCKYBMHVEdtWebUO2VuLjCXALBqeFBvMnCteh6M60Y8ncEVLaGI__lRdQgXivA6nW-4JDxSF1tPwRvLFfZf0jc=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_0jzxnwoJbsqL6VsjqsyBtbkqBbotENmMoKePhgyqXwM"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_0jzxnwoJbsqL6VsjqsyBtbkqBbotENmMoKePhgyqXwM
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_0jzxnwoJbsqL6VsjqsyBtbkqBbotENmMoKePhgyqXwM
Content-Type: text/x-patch; name=0004-gnu-xmonad-Update-to-0.17.0.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0004-gnu-xmonad-Update-to-0.17.0.patch
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--b1_0jzxnwoJbsqL6VsjqsyBtbkqBbotENmMoKePhgyqXwM--





Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 24 Dec 2021 19:29:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:29:38 2021
Received: from localhost ([127.0.0.1]:38084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0qG1-0007XK-Ju
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:37 -0500
Received: from mail-4322.protonmail.ch ([185.70.43.22]:42287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0qFy-0007Ww-Ax
 for 52784 <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:36 -0500
Date: Fri, 24 Dec 2021 19:29:27 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640374167;
 bh=FnnYhKVFTQU0c6quzhYdp9e3h2S2ZoYg8SnFo4WaQVI=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=iuTHkH239+OjIJrWPJ/ASfbjfzl6nFWokO4qiUbFYSScAOvzSVEBXGyxfFMpuFwSV
 0CLdwDqiGCsdULTIKCO6HMycCge3sYmj4H/v5RGnjrZvzyCeR2WR7E0moQV2FSrWTb
 N1Lxwgr+GUEQjT2WQjLfd+GGAQuJpLi6baMKBCnu1yRp8hoaZEuDk5BEpGElAJvRCF
 OX9nY6/r1F9SO/ERBVDHTnjYNm8Rz9zR2bKfLuYn5mapDGYb7jczSArE66j76+VYVI
 r5b0abqf6ity3syRSebQJaz4bOQu/fsCxbH05I1Hu+Q0suYn1woC/VNL4Ura4YXRMn
 i+IJgOxE6gWRg==
To: "52784 <at> debbugs.gnu.org" <52784 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 3/5] Update XMonad (and add new dependencies)
Message-ID: <1kkjy9LkMD4phCPjYgqUH-wqbJpWbrKFcL7eUQsdg0Q-5i5tC5kayc9M5K_lQfbW2PinIaEIVvWISXbsY3vxbzOg3NBSPlf8kvyi34dcwvU=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_svGifoNwAieSlpWrjxdtGhPhc72oz4uUiPmv7EcjE"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_svGifoNwAieSlpWrjxdtGhPhc72oz4uUiPmv7EcjE
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_svGifoNwAieSlpWrjxdtGhPhc72oz4uUiPmv7EcjE
Content-Type: text/x-patch; name=0003-gnu-Add-ghc-quickcheck-classes.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0003-gnu-Add-ghc-quickcheck-classes.patch

RnJvbSBlNzJlMDgzYjM2ZDNhZDEyYWE4MWVlN2NiYzMyNWM0ZjYxNzk5MTg3IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKb2huIEtlaGF5aWFzIDxqb2huLmtlaGF5aWFzQHByb3Rvbm1h
aWwuY29tPgpEYXRlOiBGcmksIDI0IERlYyAyMDIxIDEzOjUyOjE2IC0wNTAwClN1YmplY3Q6IFtQ
QVRDSCAzLzVdIGdudTogQWRkIGdoYy1xdWlja2NoZWNrLWNsYXNzZXMuCgoqIGdudS9wYWNrYWdl
cy9oYXNrZWxsLWNoZWNrLnNjbSAoZ2hjLXF1aWNrY2hlY2stY2xhc3Nlcyk6IE5ldyB2YXJpYWJs
ZS4KLS0tCiBnbnUvcGFja2FnZXMvaGFza2VsbC1jaGVjay5zY20gfCA0NiArKysrKysrKysrKysr
KysrKysrKysrKysrKysrKysrKysrCiAxIGZpbGUgY2hhbmdlZCwgNDYgaW5zZXJ0aW9ucygrKQoK
ZGlmZiAtLWdpdCBhL2dudS9wYWNrYWdlcy9oYXNrZWxsLWNoZWNrLnNjbSBiL2dudS9wYWNrYWdl
cy9oYXNrZWxsLWNoZWNrLnNjbQppbmRleCBlNjQ3ZDY1YTg5Li42MjQzM2NkYjE1IDEwMDY0NAot
LS0gYS9nbnUvcGFja2FnZXMvaGFza2VsbC1jaGVjay5zY20KKysrIGIvZ251L3BhY2thZ2VzL2hh
c2tlbGwtY2hlY2suc2NtCkBAIC0xMyw2ICsxMyw3IEBACiA7OzsgQ29weXJpZ2h0IMKpIDIwMTkg
VGltb3RoeSBTYW1wbGUgPHNhbXBsZXRAbmd5cm8uY29tPgogOzs7IENvcHlyaWdodCDCqSAyMDIw
IEpvaG4gU29vIDxqc29vMUBhc3UuZWR1PgogOzs7IENvcHlyaWdodCDCqSAyMDIwIENhcmxvIEhv
bGwgPGNhcmxvaG9sbEBnbWFpbC5jb20+Cis7OzsgQ29weXJpZ2h0IMKpIDIwMjEgSm9obiBLZWhh
eWlhcyA8am9obi5rZWhheWlhc0Bwcm90b25tYWlsLmNvbT4KIDs7OwogOzs7IFRoaXMgZmlsZSBp
cyBwYXJ0IG9mIEdOVSBHdWl4LgogOzs7CkBAIC0zMiw2ICszMyw3IEBACiAoZGVmaW5lLW1vZHVs
ZSAoZ251IHBhY2thZ2VzIGhhc2tlbGwtY2hlY2spCiAgICM6dXNlLW1vZHVsZSAoZ251IHBhY2th
Z2VzKQogICAjOnVzZS1tb2R1bGUgKGdudSBwYWNrYWdlcyBoYXNrZWxsLWNyeXB0bykKKyAgIzp1
c2UtbW9kdWxlIChnbnUgcGFja2FnZXMgaGFza2VsbC13ZWIpCiAgICM6dXNlLW1vZHVsZSAoZ251
IHBhY2thZ2VzIGhhc2tlbGwteHl6KQogICAjOnVzZS1tb2R1bGUgKGd1aXggYnVpbGQtc3lzdGVt
IGhhc2tlbGwpCiAgICM6dXNlLW1vZHVsZSAoZ3VpeCBkb3dubG9hZCkKQEAgLTEwNTYsNiArMTA1
OCw1MCBAQCAoZGVmaW5lLXB1YmxpYyBnaGMtaW5zcGVjdGlvbi10ZXN0aW5nCiBleGFtcGxlcyBh
bmQgbW9yZSBpbmZvcm1hdGlvbi4iKQogICAgIChsaWNlbnNlIGxpY2Vuc2U6ZXhwYXQpKSkKIAor
KGRlZmluZS1wdWJsaWMgZ2hjLXF1aWNrY2hlY2stY2xhc3NlcworICAocGFja2FnZQorICAgIChu
YW1lICJnaGMtcXVpY2tjaGVjay1jbGFzc2VzIikKKyAgICAodmVyc2lvbiAiMC42LjUuMCIpCisg
ICAgKHNvdXJjZQorICAgICAgKG9yaWdpbgorICAgICAgICAobWV0aG9kIHVybC1mZXRjaCkKKyAg
ICAgICAgKHVyaSAoc3RyaW5nLWFwcGVuZAorICAgICAgICAgICAgICAgImh0dHBzOi8vaGFja2Fn
ZS5oYXNrZWxsLm9yZy9wYWNrYWdlL3F1aWNrY2hlY2stY2xhc3Nlcy9xdWlja2NoZWNrLWNsYXNz
ZXMtIgorICAgICAgICAgICAgICAgdmVyc2lvbgorICAgICAgICAgICAgICAgIi50YXIuZ3oiKSkK
KyAgICAgICAgKHNoYTI1NgorICAgICAgICAgIChiYXNlMzIgIjE5aXcxNW12Yjdnd3MzbGpkeHF3
c2JiNHBtZmMwc2ZmbGY4c3pnbXJoaXFyM2s4Mm1xdjIiKSkpKQorICAgIChidWlsZC1zeXN0ZW0g
aGFza2VsbC1idWlsZC1zeXN0ZW0pCisgICAgKGlucHV0cworICAgICAgKGxpc3QgZ2hjLXF1aWNr
Y2hlY2sKKyAgICAgICAgICAgIGdoYy1wcmltaXRpdmUKKyAgICAgICAgICAgIGdoYy1wcmltaXRp
dmUtYWRkcgorICAgICAgICAgICAgZ2hjLXF1aWNrY2hlY2stY2xhc3Nlcy1iYXNlCisgICAgICAg
ICAgICBnaGMtYWVzb24KKyAgICAgICAgICAgIGdoYy1zZW1pZ3JvdXBvaWRzCisgICAgICAgICAg
ICBnaGMtc2VtaXJpbmdzCisgICAgICAgICAgICBnaGMtdmVjdG9yKSkKKyAgICAobmF0aXZlLWlu
cHV0cworICAgICAgKGxpc3QgZ2hjLWJhc2Utb3JwaGFucworICAgICAgICAgICAgZ2hjLXRhZ2dl
ZAorICAgICAgICAgICAgZ2hjLWJhc2Utb3JwaGFucworICAgICAgICAgICAgZ2hjLXRhZ2dlZAor
ICAgICAgICAgICAgZ2hjLXRhc3R5CisgICAgICAgICAgICBnaGMtdGFzdHktcXVpY2tjaGVjaykp
CisgICAgKGhvbWUtcGFnZSAiaHR0cHM6Ly9naXRodWIuY29tL2FuZHJld3RoYWQvcXVpY2tjaGVj
ay1jbGFzc2VzI3JlYWRtZSIpCisgICAgKHN5bm9wc2lzICJRdWlja0NoZWNrIGNvbW1vbiB0eXBl
Y2xhc3NlcyIpCisgICAgKGRlc2NyaXB0aW9uCisgICAgICAiVGhpcyBsaWJyYXJ5IHByb3ZpZGVz
IFF1aWNrQ2hlY2sgcHJvcGVydGllcyB0byBlbnN1cmUgdGhhdCB0eXBlY2xhc3MKK2luc3RhbmNl
cyBhZGhlcmUgdG8gdGhlIHNldCBvZiBsYXdzIHRoYXQgdGhleSBhcmUgc3VwcG9zZWQgdG8uICBU
aGVyZSBhcmUKK290aGVyIGxpYnJhcmllcyB0aGF0IGRvIHNpbWlsYXIgdGhpbmdzLCBzdWNoIGFz
IEBjb2Rle2dlbnZhbGlkaXR5LWhzcGVjfSBhbmQKK0Bjb2Rle2NoZWNrZXJzfS4gIFRoaXMgbGli
cmFyeSBkaWZmZXJzIGZyb20gb3RoZXIgc29sdXRpb25zIGJ5IG5vdCBpbnRyb2R1Y2luZworYW55
IG5ldyB0eXBlY2xhc3NlcyB0aGF0IHRoZSB1c2VyIG5lZWRzIHRvIGxlYXJuLiAgL05vdGU6LyBv
biBHSEMgPCA4LjUsIHRoaXMKK2xpYnJhcnkgdXNlcyB0aGUgaGlnaGVyLWtpbmRlZCB0eXBlY2xh
c3NlcyAoQGNvZGV7RGF0YS5GdW5jdG9yLkNsYXNzZXMuU2hvdzF9LAorQGNvZGV7RGF0YS5GdW5j
dG9yLkNsYXNzZXMuRXExfSwgQGNvZGV7RGF0YS5GdW5jdG9yLkNsYXNzZXMuT3JkMX0sIGV0Yy4p
LCBidXQKK29uIEdIQyA+PSA4LjUsIGl0IHVzZXMgQGNvZGV7LVhRdWFudGlmaWVkQ29uc3RyYWlu
dHN9IHRvIGV4cHJlc3MgdGhlc2UKK2NvbnN0cmFpbnRzIG1vcmUgY2xlYW5seS4iKQorICAgIChs
aWNlbnNlIGxpY2Vuc2U6YnNkLTMpKSkKKwogKGRlZmluZS1wdWJsaWMgZ2hjLXF1aWNrY2hlY2st
Y2xhc3Nlcy1iYXNlCiAgIChwYWNrYWdlCiAgICAgKG5hbWUgImdoYy1xdWlja2NoZWNrLWNsYXNz
ZXMtYmFzZSIpCi0tIAoyLjM0LjEKCg==

--b1_svGifoNwAieSlpWrjxdtGhPhc72oz4uUiPmv7EcjE--





Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 24 Dec 2021 19:29:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:29:19 2021
Received: from localhost ([127.0.0.1]:38080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0qFj-0007Wc-9u
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:19 -0500
Received: from mail-40131.protonmail.ch ([185.70.40.131]:12281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0qFh-0007WM-B2
 for 52784 <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:18 -0500
Date: Fri, 24 Dec 2021 19:29:06 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640374146;
 bh=lZsVwzjswDolL4ouM0cuGoTB5IHG9dgdMphi6FZPZoA=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=nii5OL0f1lJHaCQFq0yjmmj9dT5c00T5lD8T1njLzb+tQ6YX/o5gZijDDAr//kw91
 sTxSfk8Eolm/jckMOZnGB5ooy7EMXoYvdWCxhjk8uXY8inoBfqYfThwNoLFPIJkcMN
 Wn5KULjibH28tULLHHdHLfyFraK509ySVPF9Y9AVuhmbabJ538jpQElY3CBByjPHpC
 R/kPgAufwMxqquvowgY/NHkp5LT8jMHBVFrZOXOHfBR9KRTKsBvVTwyq7A67Ye+2Iq
 mv1glHo6Db6vLJCJmwqy4mKHgop7FJAW24Hdsl0WT4OA+gO2GPrFezmuwoOqikv9pD
 mw8crMBpxKN3Q==
To: "52784 <at> debbugs.gnu.org" <52784 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 2/5] Update XMonad (and add new dependencies)
Message-ID: <1tlUn_67MAFJiBN4BVeunQTBFZhX9lQfK9ZRjTmY0solgLP1fAdeSQoMJsdoR31YWPJv4cqAckDSJK-YhWZO9xe6L8CUaQ4uBSGWtLTvuZY=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_DJKqud5k1zZJbG7XJeOKmukdtf6z6HSEptnPxpFRmI"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_DJKqud5k1zZJbG7XJeOKmukdtf6z6HSEptnPxpFRmI
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_DJKqud5k1zZJbG7XJeOKmukdtf6z6HSEptnPxpFRmI
Content-Type: text/x-patch; name=0002-gnu-Add-ghc-semirings.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0002-gnu-Add-ghc-semirings.patch
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--b1_DJKqud5k1zZJbG7XJeOKmukdtf6z6HSEptnPxpFRmI--





Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at 52784 <at> debbugs.gnu.org:


Received: (at 52784) by debbugs.gnu.org; 24 Dec 2021 19:29:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:29:02 2021
Received: from localhost ([127.0.0.1]:38075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0qFR-0007W4-WA
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:02 -0500
Received: from mail-40134.protonmail.ch ([185.70.40.134]:14030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0qFO-0007VR-FM
 for 52784 <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:29:01 -0500
Date: Fri, 24 Dec 2021 19:28:47 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640374127;
 bh=etG/dmgaAaO0iqSFCdE2+iZpGoBT0tmmMqfw2PSU2ZQ=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=Kg3S/hYDmGY6ePNjTvQqRiGGkCQLcxeB+RwmIx2judIoAa1ir8WGOzyiQFMJ6rqhG
 tRPalsip1aSAN/YiSpuU50YFxs00VtUN6iect+zFWiSasIUV7C0yRVzbiB+YN40HUl
 LsT18eKEiM1aERyDMY1cAGvlWfsoq9XIfa0q2zoYQIcIKvPp2oh3nl5E95RpcM/XN3
 JnEiQmR/FnphawbJTf6e9Ijid6ZqtHcs3J3I8nAtwJgwOOd22DarDHL4x7uc0U3doD
 MOsug1cX51iiWXLRxXpsP3BfgnOlxigvi9WK9ObzFY7ohkEx4HOTEUA+ahiKD6olPn
 vk0K/HLqjo3jQ==
To: "52784 <at> debbugs.gnu.org" <52784 <at> debbugs.gnu.org>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 1/5] Update XMonad (and add new dependencies)
Message-ID: <bA-lYBddf3at-sO9QfJd5OIZxQL1T5aSGoHqiXUm-RaeRSMm6Cv990SO4_MyIWSOmIvV1Qa2FOzHvyvB-e4XAXNvdiFFvGt6BTlNVtjL6yA=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_mRaNymM1IQCOpORSomzQmXkZZbaQdfJBOuChNJQhC4"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52784
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_mRaNymM1IQCOpORSomzQmXkZZbaQdfJBOuChNJQhC4
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_mRaNymM1IQCOpORSomzQmXkZZbaQdfJBOuChNJQhC4
Content-Type: text/x-patch; name=0001-gnu-Add-ghc-primitive-addr.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-Add-ghc-primitive-addr.patch
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--b1_mRaNymM1IQCOpORSomzQmXkZZbaQdfJBOuChNJQhC4--





Information forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Dec 2021 19:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 14:22:46 2021
Received: from localhost ([127.0.0.1]:38069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0q9O-0007KS-9p
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:22:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:35942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <john.kehayias@HIDDEN>) id 1n0q9L-0007KH-AX
 for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 14:22:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37510)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.kehayias@HIDDEN>)
 id 1n0q9K-0005FD-Ux
 for guix-patches@HIDDEN; Fri, 24 Dec 2021 14:22:43 -0500
Received: from mail-4316.protonmail.ch ([185.70.43.16]:51989)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <john.kehayias@HIDDEN>)
 id 1n0q9J-0005Jt-2N
 for guix-patches@HIDDEN; Fri, 24 Dec 2021 14:22:42 -0500
Date: Fri, 24 Dec 2021 19:22:35 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail2; t=1640373757;
 bh=HPqaMrWY2GYD8Ow2BsMwrLReDWpZYf9MYxVyjsQN2Rw=;
 h=Date:To:From:Reply-To:Subject:Message-ID:From:To:Cc;
 b=iRHzt3jwLXXPn888mCPOIb5kYdCWU0J4y79hIn5RC9Xrg8+54SzQtpSFM/r/+tPnJ
 k4ROFUan/QSZaH+WqLKQ6/myOBGn3AeqwtQusF9pEnhfrjz4TLaMGcLikNFL8EFpnp
 SKqYiH+fKl7EyZ5lvogf2XMWwzLeRuBHZbCWj/o/oTz0+TucOX70DQRh29pF/Z85/i
 hd4xIbK84busi0rlsPB5a3TbWUMJiuGvoP7Q9Cis5MEkqnCiRJSLzRx4VL10SNP9mr
 f0top5K2pWbZynLd2XkjolwEZI69ww2kVxiYyaeSww9YdW9JBp4KBbdc9aPsDYh14W
 UW8facxbT6vjQ==
To: Guix-patches <guix-patches@HIDDEN>
From: John Kehayias <john.kehayias@HIDDEN>
Subject: [PATCH 0/5] Update XMonad (and add new dependencies)
Message-ID: <Za9d3f8yx-cBVXBqMap5HWIudwcVR6SvNkO_m2pQ5pPNM9UE4C4pqLBuUJpUOG8AoCVwVztLo84Rtt-kXRU5dq8qYZ4P8g5Uj1K1_C3AwJU=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.16;
 envelope-from=john.kehayias@HIDDEN; helo=mail-4316.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: John Kehayias <john.kehayias@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

Incoming are patches to update XMonad and ghc-xmonad-contrib to the new rel=
ease, 0.17.0. This required some new Haskell packages and minor changes to =
xmonad. I've tested this builds but haven't tried running the newer version=
s (currently away from my main Guix computer). I also updated xmobar (again=
, untested beyond building).

Note that this new version has breaking configuration changes, detailed in =
their announcement: https://xmonad.org/news/2021/10/27/xmonad-0-17-0.html  =
Is that worth a news entry for guix pull? It has been a long time since xmo=
nad released a new version, for those that stay on the stable release.

John




Acknowledgement sent to John Kehayias <john.kehayias@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#52784; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Dec 2021 19:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.